Farstream-0.2.4

Introduction to Farstream

The Farstream package contains libraries and a collection of GStreamer modules used for video conferencing.

This package is known to build and work properly using an LFS-7.6 systemd platform.

Package Information

Additional Downloads

Farstream Dependencies

Required

gst-plugins-base-1.4.3 and libnice-0.1.7

Recommended

Recommended (Runtime)

Optional

GTK-Doc-1.21 and Valgrind-3.10.0

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/farstream

Installation of Farstream

If you have downloaded the optional patch, apply it by running the following command:

patch -Np1 -i ../farstream-0.2.4-fix_documentation-1.patch

Install Farstream by running the following commands:

./configure --prefix=/usr &&
make

To test the results, issue: make check.

Now, as the root user:

make install

Command Explanations

--enable-gtk-doc: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

Contents

Installed Programs: None
Installed Library: libfarstream-0.2.so
Installed Directories: /usr/include/farstream-0.2, /usr/lib/farstream-0.2, /usr/share/farstream, /usr/share/gtk-doc/html/farstream-libs-1.0, and /usr/share/gtk-doc/html/farstream-plugins-0.2

Short Descriptions

libfarstream-0.2.so

contains the Farstream API functions.

Last updated on 2014-08-25 16:58:52 +0000